JNA API 3.3.0

## com.sun.jna.platform.win32
Class DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.DsGetDC.PDOMAIN_CONTROLLER_INFO
              com.sun.jna.platform.win32.DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference

All Implemented Interfaces:
  Structure.ByReference

Enclosing class:
  DsGetDC.PDOMAIN_CONTROLLER_INFO

    public static class DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference

extends DsGetDC.PDOMAIN_CONTROLLER_INFO
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.DsGetDC.PDOMAIN_CONTROLLER_INFO
`DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.DsGetDC.PDOMAIN_CONTROLLER_INFO
`dci`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference

    public DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.